<template>
  <client-only>
    <v-app-bar density="comfortable" elevation="6" color="primary">
      <LoadingBar />
      <v-app-bar-nav-icon color="accent" @click.stop="emit('toggle-left')" />
      <nuxt-link to="/" style="height: 100%">
        <img
          class="py-2 bg-accent"
          style="height: 100%"
          src="/ibeetle-logo.svg"
          alt="iBeetle Logo"
        />
      </nuxt-link>
      <v-app-bar-title class="d-none d-sm-flex">
        <span
          ><nuxt-link to="/" class="text-accent text-decoration-none"
            >iBeetle-Base</nuxt-link
          ></span
        >
      </v-app-bar-title>
      <SearchForm nav />
    </v-app-bar>
  </client-only>
</template>

<script setup lang="ts">
const emit = defineEmits<{
  (e: "toggle-left"): void;
}>();
</script>
